Subject: Re: bug#21589: 24.5; contradiction in info

From: Gary <[email-masked]>
Date: Wed, 30 Sep 2015 14:07:53 +0100

Hi Glenn

thanks for your quick reply.  I see what you mean, the append is further 
down and I was looking at the code following this comment where it says 
'append' (line 3 below) and then uses cons (line 6). On the other hand 
being a new user, I NEED to read the manual whereas I'm guessing you 
don't. :)

cheers

Gary

  (cond
             ;; check to see whether filename ends in `.el'
             ;; and if so, append its name to a list.
             ((equal ".el" (substring (car (car current-directory-list)) 
-3))
              (setq el-files-list
                    (cons (car (car current-directory-list)) 
el-files-list)))
             ;; check whether filename is that of a directory
             ((eq t (car (cdr (car current-directory-list))))
              ;; decide whether to skip or recurse

On 30/09/15 00:44, Glenn Morris wrote:
> Gary wrote:
>
>> The info section Recursive Pattern: _accumulate_ states:
>>
>> 'This is very like the 'every' pattern using 'cons', except that
>> 'cons' is not used, but some other combiner.'
>>
>> The example link 'Making a List of Files' uses cons to accumulate a list
>> of files.
> The recursive function call (which is what the section "Recursive
> Patterns" is about) in files-in-below-directory uses "append", not cons.
> cons happens to be used elsewhere in the function. It says right before
> the files-in-below-directory definition that it uses "append".
> So personally speaking I don't find it confusing.
>